diff --git a/doc/src/sgml/ref/create_role.sgml b/doc/src/sgml/ref/create_role.sgml
index 7249fc7432..6a3cd6d808 100644
--- a/doc/src/sgml/ref/create_role.sgml
+++ b/doc/src/sgml/ref/create_role.sgml
@@ -36,10 +36,8 @@ CREATE ROLE <replaceable class="parameter">name</replaceable> [ [ WITH ] <replac
     | [ ENCRYPTED ] PASSWORD '<replaceable class="parameter">password</replaceable>' | PASSWORD NULL
     | VALID UNTIL '<replaceable class="parameter">timestamp</replaceable>'
     | IN ROLE <replaceable class="parameter">role_name</replaceable> [, ...]
-    | IN GROUP <replaceable class="parameter">role_name</replaceable> [, ...]
     | ROLE <replaceable class="parameter">role_name</replaceable> [, ...]
     | ADMIN <replaceable class="parameter">role_name</replaceable> [, ...]
-    | USER <replaceable class="parameter">role_name</replaceable> [, ...]
     | SYSID <replaceable class="parameter">uid</replaceable>
 </synopsis>
  </refsynopsisdiv>
@@ -294,15 +292,6 @@ in sync when changing the above synopsis!
       </listitem>
      </varlistentry>
 
-     <varlistentry>
-      <term><literal>IN GROUP</literal> <replaceable class="parameter">role_name</replaceable></term>
-      <listitem>
-       <para><literal>IN GROUP</literal> is an obsolete spelling of
-        <literal>IN ROLE</literal>.
-       </para>
-      </listitem>
-     </varlistentry>
-
      <varlistentry>
       <term><literal>ROLE</literal> <replaceable class="parameter">role_name</replaceable></term>
       <listitem>
@@ -326,16 +315,6 @@ in sync when changing the above synopsis!
       </listitem>
      </varlistentry>
 
-     <varlistentry>
-      <term><literal>USER</literal> <replaceable class="parameter">role_name</replaceable></term>
-      <listitem>
-       <para>
-        The <literal>USER</literal> clause is an obsolete spelling of
-        the <literal>ROLE</literal> clause.
-       </para>
-      </listitem>
-     </varlistentry>
-
      <varlistentry>
       <term><literal>SYSID</literal> <replaceable class="parameter">uid</replaceable></term>
       <listitem>
@@ -484,6 +463,22 @@ CREATE ROLE <replaceable class="parameter">name</replaceable> [ WITH ADMIN <repl
    by giving users the <literal>NOINHERIT</literal> attribute, while roles are
    given the <literal>INHERIT</literal> attribute.
   </para>
+
+  <para>
+   The <literal>USER</literal> clause has the same behavior as
+   <literal>ROLE</literal> but has been deprecated:
+<synopsis>
+    USER <replaceable class="parameter">role_name</replaceable> [, ...]
+</synopsis>
+  </para>
+
+  <para>
+   The <literal>IN GROUP</literal> clause has the same behavior as <literal>IN
+   ROLE</literal> but has been deprecated:
+<synopsis>
+    IN GROUP <replaceable class="parameter">role_name</replaceable> [, ...]
+</synopsis>
+  </para>
  </refsect1>
 
  <refsect1>
